//package com.huigou.topsun.sap.common;
//
//import org.apache.commons.io.IOUtils;
//import org.apache.http.HttpResponse;
//import org.apache.http.HttpStatus;
//import org.apache.http.StatusLine;
//import org.apache.http.client.methods.HttpGet;
//import org.apache.http.client.methods.HttpPost;
//import org.apache.http.impl.client.HttpClientBuilder;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//import org.springframework.stereotype.Component;
//
//import java.io.IOException;
//import java.util.stream.Collectors;
//
///**
// */
//@Component
//public class DefaultHttpClient2 implements HttpClient {
//
//    private final static Logger LOG = LoggerFactory.getLogger(DefaultHttpClient2.class);
//    private final org.apache.http.client.HttpClient http = HttpClientBuilder.create().build();
//
//    @Override
//    public String execute(HttpPost post) throws IOException {
//        String responseText = "";
//        try {
//            HttpResponse response = http.execute(post);
//            responseText = this.getResponseText(response,responseText);
//        }finally {
//            post.releaseConnection();
//        }
//    return responseText;
//    }
//
//    @Override
//    public String execute(HttpGet get) throws IOException {
//        String responseText = "";
//        try {
//            HttpResponse response = http.execute(get);
//            responseText = this.getResponseText(response,responseText);
//        }finally {
//            get.releaseConnection();
//        }
//        return responseText;
//    }
//
//    public String getResponseText(HttpResponse response,String responseText) throws IOException {
//        LOG.info("response={}", response);
//        StatusLine statusLine = response.getStatusLine();
//        LOG.info("statusLine={}", statusLine);
//        int statusCode = statusLine.getStatusCode();
//        if (statusLine.getStatusCode() < HttpStatus.SC_OK || statusLine.getStatusCode() >= HttpStatus.SC_MULTIPLE_CHOICES) {
//            throw new IOException(String.format("调用第三方系统出错，statusCode=%s, %s", statusCode, statusLine.getReasonPhrase()));
//        }
//        responseText = IOUtils.readLines(response.getEntity().getContent())
//                .stream()
//                .collect(Collectors.joining("\n"));
//        LOG.info("responseText={}", responseText);
//        return responseText;
//    }
//
//}
